- [HTTP request](https://developers.google.com/data-manager/api/reference/rest/v1/audienceMembers/removeAll#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/data-manager/api/reference/rest/v1/audienceMembers/removeAll#body.request_body)
  - [JSON representation](https://developers.google.com/data-manager/api/reference/rest/v1/audienceMembers/removeAll#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/data-manager/api/reference/rest/v1/audienceMembers/removeAll#body.response_body)
  - [JSON representation](https://developers.google.com/data-manager/api/reference/rest/v1/audienceMembers/removeAll#body.RemoveAllAudienceMembersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/data-manager/api/reference/rest/v1/audienceMembers/removeAll#body.aspect)
- [Try it!](https://developers.google.com/data-manager/api/reference/rest/v1/audienceMembers/removeAll#try-it)

Removes all audience members from the provided destinations.

### HTTP request

`POST https://datamanager.googleapis.com/v1/audienceMembers:removeAll`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "destinations": [ { object (`https://developers.google.com/data-manager/api/reference/rest/v1/Destination`) } ], "removeAsOfTime": string, "validateOnly": boolean } ``` |

| Fields ||
|---|---|
| `destinations[]` | ``object (`https://developers.google.com/data-manager/api/reference/rest/v1/Destination`)`` Required. The list of destinations to remove the users from. |
| `removeAsOfTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Optional. The remove as of time. If set, only audience members last added before this time will be removed. If not set, it defaults to current time. The remove as of time must not be in the future. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `validateOnly` | `boolean` Optional. For testing purposes. If `true`, the request is validated but not executed. Only errors are returned, not results. |

### Response body

Response from the `RemoveAllAudienceMembersRequest`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requestId": string } ``` |

| Fields ||
|---|---|
| `requestId` | `string` The auto-generated ID of the request. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/datamanager`